async.h File Reference

State management for asynchronous messages. More...

`#include "net.h"`
Include dependency graph for async.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | coap_async_state_t

## Macros

#define | COAP_ASYNC_CONFIRM 0x01
| send confirmable response More...
#define | COAP_ASYNC_SEPARATE 0x02
| send separate response More...
#define | COAP_ASYNC_OBSERVED 0x04
| the resource is being observed More...
#define | COAP_ASYNC_RELEASE_DATA 0x08
| release application data on destruction More...

## Typedefs

typedef struct coap_async_state_t | coap_async_state_t

## Functions

coap_async_state_t * | coap_register_async (coap_context_t *context, coap_session_t *session, coap_pdu_t *request, unsigned char flags, void *data)
| Allocates a new coap_async_state_t object and fills its fields according to the given `request`. More...
int | coap_remove_async (coap_context_t *context, coap_session_t *session, coap_tid_t id, coap_async_state_t **s)
| Removes the state object identified by `id` from `context`. More...
void | coap_free_async (coap_async_state_t *state)
| Releases the memory that was allocated by coap_async_state_init() for the object `s`. More...
coap_async_state_t * | coap_find_async (coap_context_t *context, coap_session_t *session, coap_tid_t id)
| Retrieves the object identified by `id` from the list of asynchronous transactions that are registered with `context`. More...
COAP_STATIC_INLINE void | coap_touch_async (coap_async_state_t *s)
| Updates the time stamp of `s`. More...

## Detailed Description

State management for asynchronous messages.

Definition in file async.h.